<?php
$a = 1234; // nombre décimal positif
$b = -123; // nombre décimal négatif
$c = 0123; // nombre octal (équivaut à 83 en décimal)
$d = 0x1a; // nombre hexadécimal (équivaut à 26 en décimal)
$e = 0X1A; // nombre hexadécimal (équivaut à 26 en décimal)
$f = 0b11111111; // nombre binaire (équivaut à 255 en décimal)
echo   'Décimal 1234 (affichage par echo) : $a='.$a."\n";
echo   'Décimal -123 (affichage par echo) : $b='.$b."\n";
echo   'Octal   0123 (affichage par echo) : $c='.$c."\n";
printf("Octal   0123 (printf en octal)    : \$c=%o\n",$c);
echo   'Hexadécimal Ox1a (affichage par echo)  : $d='.$d."\n";
printf("Hexadécimal 0x1a (printf au format %%x) : \$d=%x\n",$d);
echo   'Hexadécimal OX1A (affichage par echo)  : $e='.$e."\n";
printf("Hexadécimal OX1A (printf au format %%X) : \$e=%X\n",$e);
echo   'Binaire 0b11111111 (affichage par echo): $f='.$f."\n";
printf("Binaire 0b11111111 (printf au format %%b):\$f=%b\n",$f);
?>

